Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class IndexFeeder

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.IndexFeeder

Direct Known Subclasses:
  ResourceIndexFeeder

public class IndexFeeder
extends java.lang.Object
implements EditorFeeder

Field Summary
`static java.lang.String` | `FILTER_P`
`static java.lang.String` | `FORBID_RULE`

Constructor Summary
`IndexFeeder()`

Method Summary
`protected java.lang.String[]` | `filter(java.lang.String[] children, java.lang.String[] extensions)`
`java.lang.String[]` | `getDefaultItems()`
`protected RemoteResource` | `getResource(RemoteResourceWrapper rrw, java.util.Properties p)`
`protected java.lang.String[]` | `getStringArray(RemoteResourceWrapper rrw, java.util.Properties p)`
`void` | `initialize(RemoteResourceWrapper rrw, java.util.Properties p)`
`protected boolean` | `match(java.lang.String s, java.lang.String[] extensions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER_P

    public static final java.lang.String FILTER_P

### FORBID_RULE

    public static final java.lang.String FORBID_RULE

Constructor Detail

### IndexFeeder

    public IndexFeeder()

Method Detail

### getDefaultItems

    public java.lang.String[] getDefaultItems()

  Specified by:
    getDefaultItems in interface EditorFeeder

### match

    protected boolean match(java.lang.String s,
                            java.lang.String[] extensions)

### filter

    protected java.lang.String[] filter(java.lang.String[] children,
                                        java.lang.String[] extensions)

### getResource

    protected RemoteResource getResource(RemoteResourceWrapper rrw,
                                         java.util.Properties p)

### getStringArray

    protected java.lang.String[] getStringArray(RemoteResourceWrapper rrw,
                                                java.util.Properties p)

### initialize

    public void initialize(RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Specified by:
    initialize in interface EditorFeeder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD